<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('snowmountain_quickcal_get_css')) {
	add_filter('snowmountain_filter_get_css', 'snowmountain_quickcal_get_css', 10, 4);
	function snowmountain_quickcal_get_css($css, $colors, $fonts, $scheme='') {
		
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS

body #booked-profile-page input[type=submit],
body .booked-upload-wrap, body .booked-upload-wrap input,
body #booked-profile-page .booked-tabs li a .counter,
body #booked-profile-page .booked-profile-appt-list button.button-primary,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a,
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete {
    {$fonts['button_font-family']}
    {$fonts['button_font-size']}
    {$fonts['button_font-weight']}
    {$fonts['button_font-style']}
    {$fonts['button_line-height']}
    {$fonts['button_text-decoration']}
    {$fonts['button_text-transform']}
    {$fonts['button_letter-spacing']}
}

CSS;

$rad = snowmountain_get_border_radius();
$css['fonts'] .= <<<CSS

body #booked-profile-page button,
body #booked-profile-page input[type=submit],
body .booked-upload-wrap, body .booked-upload-wrap input,
body #booked-profile-page .booked-tabs li a .counter,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a,
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete {
	-webkit-border-radius: {$rad};
	    -ms-border-radius: {$rad};
			border-radius: {$rad};
}

CSS;

		}
		
		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

/* New */
body .booked-modal .bm-window .booked-scrollable {
	background-color: {$colors['alter_bg_color']};
}
body div.booked-calendar-wrap div.booked-calendar {
	background-color: {$colors['bg_color']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col {
	color: {$colors['text_dark']};
	border-color: {$colors['bd_color']};
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.next-month .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.prev-month .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.prev-date:hover .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.prev-date .date {
	background-color: {$colors['alter_bg_color']}!important;
	color: {$colors['alter_light']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today.active span.date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.active span.date {
	background-color: {$colors['alter_bg_hover']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col:not(.prev-date):hover span.date {
	background-color: {$colors['alter_bg_hover']}!important;
    color: {$colors['inverse_link']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today.prev-date .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today .date {
	background-color: {$colors['alter_bg_color']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today.prev-date .date span {
    color: {$colors['alter_dark']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today:not(.active):not(:hover):not(.prev-date) .date span {
    color: {$colors['alter_dark']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.entryBlock .bc-col {
	border: 20px solid {$colors['alter_bg_hover']};
}
body div.booked-calendar-wrap .booked-appt-list h2 {
	color: {$colors['text_dark']}!important;
}
body div.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-time, body div.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people {
	color: {$colors['text_dark']};
}
body div.booked-calendar-wrap .booked-appt-list .timeslot .spots-available {
	color: {$colors['text_dark']};
}
body .booked-modal .bm-window p.booked-title-bar {
	background-color: {$colors['text_link']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body {
	border: 1px solid {$colors['bd_color']}!important;
    margin-top: -1px;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week + .bc-row.week .bc-col {
	border-top: 1px solid {$colors['bd_color']};
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.active .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.today:hover .date span {
	color: {$colors['text_dark']}!important;
}

body div.booked-calendar-wrap div.booked-calendar .booked-appt-list .timeslot+.timeslot {
    border-top: 1px solid {$colors['bd_color']};
}

/* Shortcodes */

body #booked-profile-page .booked-profile-appt-list .appt-block,
body #booked-profile-page .booked-profile-appt-list .appt-block > i.fa-solid,
body #booked-profile-page .booked-profile-appt-list .appt-block > strong {
	color: {$colors['text_light']}!important;
}
body #booked-profile-page .booked-profile-appt-list .appt-block.approved,
body #booked-profile-page .booked-profile-appt-list .appt-block.approved > i.fa-solid {
	color: {$colors['text_dark']};
}
body #booked-profile-page input[type=submit],
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button {
	color: {$colors['inverse_text']}!important;
	background: {$colors['text_link']}!important;
}
body #booked-profile-page input[type=submit]:hover,
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button:hover {
	color: {$colors['inverse_text']}!important;
	background: {$colors['text_hover']}!important;
}
body #booked-profile-page .booked-profile-appt-list button.button-primary,
body .booked-upload-wrap,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}
body .booked-upload-wrap span {
	color: {$colors['inverse_link']};
}
body #booked-profile-page .booked-profile-appt-list button.button-primary:hover,
body .booked-upload-wrap:hover,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['alter_bd_hover']};
}
body .booked-upload-wrap:hover span {
	color: {$colors['inverse_link']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block .status-block {
	color: {$colors['alter_light']};
	background-color: {$colors['alter_bg_hover']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block.approved .status-block {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block {
	border-color: {$colors['bd_color']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete, 
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete:hover, 
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}
body #booked-profile-page .booked-tabs,
body #booked-profile-page .booked-profile-header {
	border-color: {$colors['alter_bd_color']}!important;
}
body #booked-profile-page .booked-tab-content {
	background-color: {$colors['bg_color']};
	border-color: {$colors['alter_bd_color']};
}

CSS;
		}

		return $css;
	}
}
?>